Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.java2d
Class TransformType

    java.lang.Object
      org.apache.xmlgraphics.java2d.TransformType

    public final class TransformType

extends java.lang.Object

Enumeration for transformation types.

Version:
  $Id: TransformType.java 1732018 2016-02-24 04:51:06Z gadams $ Originally authored by Vincent Hardy.

Field Summary
`static TransformType` | `GENERAL`
`static java.lang.String` | `GENERAL_STRING`
`static TransformType` | `ROTATE`
`static java.lang.String` | `ROTATE_STRING`
`static TransformType` | `SCALE`
`static java.lang.String` | `SCALE_STRING`
`static TransformType` | `SHEAR`
`static java.lang.String` | `SHEAR_STRING`
`static int` | `TRANSFORM_GENERAL`
`static int` | `TRANSFORM_ROTATE`
`static int` | `TRANSFORM_SCALE`
`static int` | `TRANSFORM_SHEAR`
`static int` | `TRANSFORM_TRANSLATE`
`static TransformType` | `TRANSLATE` TransformType values
`static java.lang.String` | `TRANSLATE_STRING` Strings describing the elementary transforms

Method Summary
`java.lang.Object` | `readResolve()` This is called by the serialization code before it returns an unserialized object.
`int` | `toInt()` Convenience for enumeration switching.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRANSFORM_TRANSLATE

    public static final int TRANSFORM_TRANSLATE

See Also:
  Constant Field Values

### TRANSFORM_ROTATE

    public static final int TRANSFORM_ROTATE

See Also:
  Constant Field Values

### TRANSFORM_SCALE

    public static final int TRANSFORM_SCALE

See Also:
  Constant Field Values

### TRANSFORM_SHEAR

    public static final int TRANSFORM_SHEAR

See Also:
  Constant Field Values

### TRANSFORM_GENERAL

    public static final int TRANSFORM_GENERAL

See Also:
  Constant Field Values

### TRANSLATE_STRING

    public static final java.lang.String TRANSLATE_STRING

  Strings describing the elementary transforms

  See Also:
    Constant Field Values

### ROTATE_STRING

    public static final java.lang.String ROTATE_STRING

See Also:
  Constant Field Values

### SCALE_STRING

    public static final java.lang.String SCALE_STRING

See Also:
  Constant Field Values

### SHEAR_STRING

    public static final java.lang.String SHEAR_STRING

See Also:
  Constant Field Values

### GENERAL_STRING

    public static final java.lang.String GENERAL_STRING

See Also:
  Constant Field Values

### TRANSLATE

    public static final TransformType TRANSLATE

  TransformType values

### ROTATE

    public static final TransformType ROTATE

### SCALE

    public static final TransformType SCALE

### SHEAR

    public static final TransformType SHEAR

### GENERAL

    public static final TransformType GENERAL

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    description

### toInt

    public int toInt()

  Convenience for enumeration switching. That is,

         switch(transformType.toInt()){
             case TransformType.TRANSFORM_TRANSLATE:
              ....
             case TransformType.TRANSFORM_ROTATE:

### readResolve

    public java.lang.Object readResolve()

  This is called by the serialization code before it returns an unserialized object. To provide for unicity of instances, the instance that was read is replaced by its static equivalent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.